org.richfaces.renderkit

## Class InplaceSelectBaseRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.InplaceSelectBaseRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    InplaceSelectRenderer

      public class InplaceSelectBaseRenderer
      extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

  InplaceSelect base renderer implementation
  Since:
    3.2.0
  Author:
    Anton Belevich

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `InplaceSelectBaseRenderer.PreparedSelectItem`

  - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InplaceSelectBaseRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `createDefaultLabel(javax.faces.component.UIComponent component)`
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeControlsFacet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeItems(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.util.List<InplaceSelectBaseRenderer.PreparedSelectItem> items)`
    `java.lang.String` | `encodeJS(java.lang.Object object)`
    `java.lang.String` | `encodeScriptAttributes(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `encodeSuggestion(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String value, java.lang.String classes)`
    `java.lang.String` | `getAsEventHandler(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String attributeName)`
    `protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
    `protected java.lang.String` | `getConvertedStringValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object value)`
    `java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object submittedValue)`
    `protected java.lang.String` | `getItemLabel(javax.faces.context.FacesContext context, UIInplaceSelect component, java.lang.Object value)`
    `protected boolean` | `isAcceptableComponent(javax.faces.component.UIComponent component)`
    `boolean` | `isControlsFacetExists(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected boolean` | `isEmptyDefaultLabel(java.lang.String defaultLabel)`
    `java.util.List<InplaceSelectBaseRenderer.PreparedSelectItem>` | `prepareItems(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InplaceSelectBaseRenderer

          public InplaceSelectBaseRenderer()

  - ### Method Detail

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Overrides:
        `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### isAcceptableComponent

          protected boolean isAcceptableComponent(javax.faces.component.UIComponent component)

    - #### getConvertedStringValue

          protected java.lang.String getConvertedStringValue(javax.faces.context.FacesContext context,
                                                 javax.faces.component.UIComponent component,
                                                 java.lang.Object value)

    - #### encodeSuggestion

          protected void encodeSuggestion(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component,
                              java.lang.String value,
                              java.lang.String classes)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### prepareItems

          public java.util.List<InplaceSelectBaseRenderer.PreparedSelectItem> prepareItems(javax.faces.context.FacesContext context,
                                                                                  javax.faces.component.UIComponent component)

    - #### encodeItems

          public void encodeItems(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component,
                         java.util.List<InplaceSelectBaseRenderer.PreparedSelectItem> items)
                           throws java.io.IOException,
                                  java.lang.IllegalArgumentException

      Throws:
        `java.io.IOException`
        `java.lang.IllegalArgumentException`

    - #### encodeScriptAttributes

          public java.lang.String encodeScriptAttributes(javax.faces.context.FacesContext context,
                                                javax.faces.component.UIComponent component)

    - #### encodeControlsFacet

          public void encodeControlsFacet(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isControlsFacetExists

          public boolean isControlsFacetExists(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component)

    - #### getConvertedValue

          public java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                           javax.faces.component.UIComponent component,
                                           java.lang.Object submittedValue)
                                             throws javax.faces.convert.ConverterException

      Overrides:
        `getConvertedValue` in class `javax.faces.render.Renderer`
      Throws:
        `javax.faces.convert.ConverterException`

    - #### getComponentClass

          protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### getAsEventHandler

          public java.lang.String getAsEventHandler(javax.faces.context.FacesContext context,
                                           javax.faces.component.UIComponent component,
                                           java.lang.String attributeName)

    - #### encodeJS

          public java.lang.String encodeJS(java.lang.Object object)

    - #### getItemLabel

          protected java.lang.String getItemLabel(javax.faces.context.FacesContext context,
                                      UIInplaceSelect component,
                                      java.lang.Object value)

    - #### createDefaultLabel

          protected java.lang.String createDefaultLabel(javax.faces.component.UIComponent component)

    - #### isEmptyDefaultLabel

          protected boolean isEmptyDefaultLabel(java.lang.String defaultLabel)

Copyright © 2013. All Rights Reserved.